List available models - SuperAI Flows

List available models

cURL

curl --request GET \
  --url https://flows.super.ai/api/models \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://flows.super.ai/api/models"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/models', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

200

{
  "count": 123,
  "models": [
    {
      "endpoint_count": 123,
      "locations": [
        "<string>"
      ],
      "model_name": "<string>",
      "providers": [
        "<string>"
      ],
      "regions": []
    }
  ]
}

422

{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key

Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY

Example:

X-API-Key: saf_1234567890

Authorization

Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Query Parameters

Response Description